Skip to main content
POST
Create and Dispatch or Schedule a Bulk SMS Campaign

Authorizations

Client-ID
string
header
required

Your UgaText Client-ID (e.g. uga_...). Accepted header aliases: X-Client-ID, or combined in Authorization: Bearer : / X-API-Key: :.

Client-Secret
string
header
required

Your UgaText Client-Secret (e.g. sk_live_...). Accepted header alias: X-Client-Secret.

Body

application/json
name
string
required
Example:

"Docs audit probe"

message
string
required
Example:

"probe"

recipients
string[]
required
Example:
sender_id
string
default:UGATEXT
Example:

"UGATEXT"

scheduled_at
string<date-time>

Optional future ISO-8601 timestamp to schedule the campaign.

Response

Campaign created and queued/completed

success
boolean
Example:

true

campaign_id
string
Example:

"cmp_1760425200000_a1b2c3"

status
string
Example:

"completed"

mode
enum<string>
Available options:
live,
sandbox
Example:

"sandbox"

recipients_count
integer
Example:

1

total_segments
integer
Example:

1

cost_units
integer
Example:

0

cost_ugx
number
Example:

0

total_cost_ugx
number
Example:

0

campaign
object